fragment Account on auth_accounts {
  __typename
  id
  email
  active
  default_role
  account_roles {
    role
  }
}

fragment User on users {
  __typename
  id
  display_name
  username
  slogan
  bio
  avatar_url
  avatar_blurhash
  created_at
  is_photographer
  is_favorite
  waves_address
}

fragment FullUser on users {
  ...User
  blocked_for_search
  hide_in_search
}

fragment CurrentUser on users {
  ...FullUser
  phone
  telegram
  whatsapp
  account {
    ...Account
  }

  location_id
  location {
    ...Location
  }
  styles {
    ...UserStyle
    style {
      ...Style
    }
  }
  payment_types {
    ...UserPaymentType
  }
  storage {
    available_bytes
    used_bytes
  }

  favorites_aggregate {
    aggregate {
      count
    }
  }
  in_favorites_aggregate {
    aggregate {
      count
    }
  }

  media_search: media_files_in_search {
    ...UserSearchMediaFile
  }
  media_search_aggregate: media_files_in_search_aggregate {
    aggregate {
      count
    }
  }
}

fragment SearchUser on users {
  ...FullUser
  location {
    ...Location
  }
  in_favorites_aggregate {
    aggregate {
      count
    }
  }
  media_files_in_search {
    media_file {
      ...MediaFile
    }
  }
}

fragment UserLocation on users {
  location_id
  location {
    ...Location
  }
}

fragment UserPaymentType on users_payment_types {
  __typename
  id
  payment_type
  price
}

fragment UserSearchMediaFile on users_search_media_files {
  __typename
  order
  id
  media_file_id
  media_file {
    ...MediaFile
  }
}

fragment UserSearchMediaFiles on users {
  media_files_in_search {
    ...UserSearchMediaFile
  }
}

fragment UserStyle on users_styles {
  __typename
  id
  style_id
  user_id
}
